#!/usr/bin/make -f

%:
	dh $@

# Ejecutar composer install durante la fase de construcción
override_dh_auto_build:
	export COMPOSER_ALLOW_SUPERUSER=1
	export APP_ENV=prod
	dh_auto_build
	COMPOSER_ALLOW_SUPERUSER=1 APP_ENV=prod composer install --no-dev --no-interaction --no-progress --optimize-autoloader
	COMPOSER_ALLOW_SUPERUSER=1 APP_ENV=prod composer dump-env prod
